GF256 Class Reference

GF(256) with polynomial basis. More...

`#include <gf256.h>`

## Public Types

typedef byte | Element
typedef int | RandomizationParameter

## Public Member Functions

| GF256 (byte modulus)
Element | RandomElement (RandomNumberGenerator &rng, int ignored=0) const
bool | Equal (Element a, Element b) const
Element | Zero () const
Element | Add (Element a, Element b) const
Element & | Accumulate (Element &a, Element b) const
Element | Inverse (Element a) const
Element | Subtract (Element a, Element b) const
Element & | Reduce (Element &a, Element b) const
Element | Double (Element a) const
Element | One () const
Element | Multiply (Element a, Element b) const
Element | Square (Element a) const
bool | IsUnit (Element a) const
Element | MultiplicativeInverse (Element a) const
Element | Divide (Element a, Element b) const

## Detailed Description

GF(256) with polynomial basis.

Definition at line 9 of file gf256.h.

The documentation for this class was generated from the following file:

- gf256.h